<!DOCTYPE html>
<html lang="hr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
    <link href="https://cdn.datatables.net/v/bs5/dt-1.13.6/datatables.min.css" rel="stylesheet">
    <link rel="stylesheet" href="CSS/index.css">
    <title>Imaginarna firma - HR</title>
</head>

<body>

    <header>
        <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-primary bg-dark mb-5">
            <div class="container" id="NavBarTop">
                <a class="navbar-brand" href="index.html">
                    <img src="images/imaginarnaTvrtkaLogo.png" width="30" height="30" class="d-inline-block align-top"
                        alt="Imaginarna tvrtka Logo">
                    Imaginarna tvrtka
                </a>

                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse"
                    aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarCollapse">
                    <ul class="nav navbar-nav">
                        <li class="nav-item pt-1">
                            <a class="nav-link active" href="index.html">Naslovnica</a>
                        </li>
                        <li class="nav-item pt-1">
                            <a class="nav-link" href="unos.html">Unos podataka</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>

    <main class="container my-3 py-5" role="main" id="glavniContainer">

        <div class="text-center my-4 mb-5 text-primary">
            <h1 class="fs-1 fw-medium">Informacije o djelatnicima</h1>
        </div>
        <div id="praznaTablicaTekst">
            <div class="text-center my-4 mb-5">
                <h5>
                    Nema upisanih djelatnika u LocalStorage-u te se
                    <br>
                    stoga ne prikazuje tablica djelatnika
                </h5>
                <a href="unos.html">
                    <div type="button" class="btn btn-primary my-4">Upiši prvog djelatnika</div>
                </a>
            </div>
        </div>

        <div class="table-responsive-sm" id="myTable" style="display:none">
            <table class="table table-hover table-responsive-sm" id="myTableTablica">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Ime</th>
                        <th scope="col">Prezime</th>
                        <th scope="col">Email</th>
                        <th scope="col">Adresa</th>
                        <th scope="col">Broj mobitela</th>
                        <th scope="col"></th>
                        <th scope="col"></th>
                    </tr>
                </thead>
                <tbody id="tableBody">
                </tbody>
            </table>
        </div>

        <div class="modal fade" id="myModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h1 class="modal-title fs-5">Modal title</h1>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>

                    <div class="modal-body">
                        <div class="container-fluid mt-3">
                            <form class="needs-validation" novalidate id="formaModal">
                                <div class="col mb-5">
                                    <label for="ime" class="form-label fw-bold">Ime</label>
                                    <input type="text" class="form-control upis" id="modal-ime" minlength="2" required>
                                    <div class="invalid-feedback" id="imeValidation">
                                        Potrebno je upisati valjano ime!
                                    </div>
                                </div>
                                <div class="col mb-5">
                                    <label for="prezime" class="form-label fw-bold">Prezime</label>
                                    <input type="text" class="form-control upis" id="modal-prezime" minlength="2"
                                        required>
                                    <div class="invalid-feedback" id="prezimeValidacija">
                                        Potrebno je upisati valjano prezime!
                                    </div>
                                </div>
                                <div class="col mb-5">
                                    <label for="email" class="form-label fw-bold">Email</label>
                                    <div class="input-group has-validation ">
                                        <span class="input-group-text">@</span>
                                        <input type="email" class="form-control upis" id="modal-email">
                                        <div class="invalid-feedback" id="emailAdresa">
                                            Potrebno je upisati valjanu email adresu!
                                        </div>
                                    </div>
                                </div>
                                <div class="col mb-5">
                                    <label for="adresa" class="form-label fw-bold">Adresa</label>
                                    <input type="text" class="form-control upis" id="modal-adresa" minlength="3"
                                        required>
                                    <div class="invalid-feedback" id="adresaValidacija">
                                        Potrebno je upisati valjanu adresu!
                                    </div>
                                </div>
                                <div class="col mb-5">
                                    <label for="brojMobitela" class="form-label fw-bold">Broj mobitela</label>
                                    <input type="text" class="form-control upis" id="modal-brojMobitela" minlength="3"
                                        required>
                                    <div class="invalid-feedback" id="brojMobitelaValidacija">
                                        Potrebno je upisati valjani broj mobitela!
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                    <div class="modal-footer justify-content-center">
                        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Odustani</button>
                        <button type="button" class="btn btn-primary" id="spremiPromjene">Spremi promjene</button>
                    </div>
                </div>
            </div>
        </div>

    </main>

    <div class="toast-container position-fixed top-0 start-50 translate-middle-x p-3">
        <div id="myToast" class="toast toast align-items-center text-center text-bg-success border-0" role="alert"
            aria-live="assertive" aria-atomic="true" data-delay="2000">
            <div class="toast-body">
                Uspješno ste promijenili podatke!
            </div>
        </div>
    </div>

    <script type="text/javascript" src="jquery-3.7.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz"
        crossorigin="anonymous"></script>
    <script src="https://cdn.datatables.net/v/bs5/dt-1.13.6/datatables.min.js"></script>
    <script src="JS/prikazZaposlenika.js"></script>
    <script src="JS/validirajPodatkeModal.js"></script>
    <script src="JS/autoCloseNavbar.js"></script>
    <script src="JS/smanjiGumbice.js"></script>

</body>

</html>